## GstVolumeFilter GstVolumeFilter — An audio volume filter |

## Synopsis

    #include <gst/filters/gst-volume-filter.h>

                        GstVolumeFilter;
    GstVolumeFilter *   gst_volume_filter_new               (void);

## Object Hierarchy

      GObject
       +----GstFilter
             +----GstVolumeFilter

## Properties

      "mute"                     gboolean              : Read / Write
      "volume"                   gdouble               : Read / Write

## Description

This filter will allow you to control the audio volume of a pipeline.

## Details

### GstVolumeFilter

    typedef struct _GstVolumeFilter GstVolumeFilter;

An audio volume filter

### gst_volume_filter_new ()

    GstVolumeFilter *   gst_volume_filter_new               (void);

Creates a new volume filter. This filter will allow you to change the audio volume in the pipeline by controlling it through the "volume" and "mute" properties.

Returns : | A new GstVolumeFilter

## Property Details

### The `"mute"` property

      "mute"                     gboolean              : Read / Write

Whether or not the sound is being muted.

Default value: FALSE

### The `"volume"` property

      "volume"                   gdouble               : Read / Write

The current volume being set by the filter. 1.0 represents a 100% volume and the volume can be amplified up to 10 times.

Allowed values: [0,10]

Default value: 1